CVE-2020-2252

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Jenkins Mailer Plugin 1.32 and earlier does not perform hostname validation when connecting to the configured SMTP server.

References

http://www.openwall.com/lists/oss-security/2020/09/16/3

https://www.jenkins.io/security/advisory/2020-09-16/#SECURITY-1813

Details

Source: MITRE

Published: 2020-09-16

Updated: 2020-09-18

Type: CWE-295

Risk Information

CVSS v2

Base Score: 5.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:N

Impact Score: 4.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 4.8

Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N

Impact Score: 2.5

Exploitability Score: 2.2

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:jenkins:mailer:*:*:*:*:*:jenkins:*:* versions up to 1.32 (inclusive)

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
142907RHEL 7 : OpenShift Container Platform 3.11.318 jenkins-2-plugins (RHSA-2020:5102)NessusRed Hat Local Security Checks
medium
142002RHEL 7 / 8 : OpenShift Container Platform 4.6.1 package (RHSA-2020:4297)NessusRed Hat Local Security Checks
critical